Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetDeviceDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<E>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<InetDevice>
ru.bitel.bgbilling.modules.inet.server.bean.InetDeviceDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `ru.bitel.common.worker.Recyclable`

    public class InetDeviceDao
    extends AbstractEntityDao<InetDevice>
    implements ru.bitel.common.worker.Recyclable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected Directory<? extends EntitySpec>` | `entitySpecDirectory` |

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `insertEntityPS, updateEntityPS, updateEntityPS2`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetDeviceDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `checkTables​(java.sql.Connection con, int moduleId, java.util.Date initialDate)` |
  `int` | `delete​(int id)` |
  `InetDevice` | `get​(int id)` |
  `Directory<? extends EntitySpec>` | `getEntitySpecDirectory()` |
  `protected InetDevice` | `getFromRSImpl​(java.sql.ResultSet rs)` |
  `java.util.List<InetDevice>` | `inetDeviceList()` |
  `java.util.List<InetDevice>` | `inetDeviceList​(int deviceTypeId)` |
  `java.util.List<InetDevice>` | `listByInvDeviceId​(int id)` |
  `java.util.List<InetDevice>` | `listSource()` |
  `void` | `move​(int newParentId, java.util.Set<java.lang.Integer> children)` |
  `InetDevice` | `node​(java.util.List<FilterEntityAttr> entityFilter, int deviceId, boolean loadDeviceGroupIds)` |
  `void` | `recycle()` |
  `InetDevice` | `root​(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupIds, boolean loadAncestors)` |
  `InetDevice` | `rootSource()` |
  `protected void` | `updateImpl​(InetDevice inetDevice)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `getFromRS, getFromRS, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntitySpecAttrDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### entitySpecDirectory

    protected Directory<? extends EntitySpec> entitySpecDirectory

- ## Constructor Details

  - ### InetDeviceDao

    public InetDeviceDao​(java.sql.Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### root

    public InetDevice root​(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupIds, boolean loadAncestors) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### node

    public InetDevice node​(java.util.List<FilterEntityAttr> entityFilter, int deviceId, boolean loadDeviceGroupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public InetDevice get​(int id) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `get` in class `ru.bitel.common.dao.AbstractIdDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEntitySpecDirectory

    public Directory<? extends EntitySpec> getEntitySpecDirectory() throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `getEntitySpecDirectory` in class `AbstractEntityAttrDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move​(int newParentId, java.util.Set<java.lang.Integer> children) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete​(int id) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `delete` in class `AbstractEntityDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recycle

    public void recycle()
    Specified by:
      `recycle` in interface `ru.bitel.common.worker.Recyclable`
    Overrides:
      `recycle` in class `AbstractEntityDao<InetDevice>`

  - ### rootSource

    public InetDevice rootSource() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listSource

    public java.util.List<InetDevice> listSource() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listByInvDeviceId

    public java.util.List<InetDevice> listByInvDeviceId​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTables

    public static void checkTables​(java.sql.Connection con, int moduleId, java.util.Date initialDate)

  - ### inetDeviceList

    public java.util.List<InetDevice> inetDeviceList​(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceList

    public java.util.List<InetDevice> inetDeviceList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRSImpl

    protected InetDevice getFromRSImpl​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRSImpl` in class `AbstractEntityDao<InetDevice>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(InetDevice inetDevice) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`